[cvsnt] cvsnt server assertion: pos+len<=file1.size()

Arthur Barrett arthur.barrett at march-hare.com
Thu Apr 16 09:16:33 BST 2009


Andreas,

>> Please retest with CVSNT 2.5.05 and advise. If you can still
>
> I have to create a working 2.5.05 first. I tested with 2.5.04 (build 3236) 
> and the error still appears

I doubt that 2.5.04 or 2.5.05 will make any difference now - the RCS file 
(the revision 1.1) is corrupt.

What needs testing is whether you can add the original revisions to a 'new' 
file using 2.5.05 (or 2.5.04) and reproduce the corruption.

> [snip]
>> Ie: even though the error is occurring with 2.5.03 on checkout, if
>> revision 1.1 and 1.2 were created with 2.0.51a then the error was
>> probably with that version - not 2.5.03 or 2.5.04 or 2.5.05.
>
> All versions of the file were created with 2.5.03 IMHO
>

It's a real shame we don't record the CVSNT revision number in the 
properties of each revision, because it'd make this much easier to prove. 
We've got a LOT of commercial customers on 2.5.03 so I'd be surprised if 
that caused it - but of course perhaps it's a bug caused by a dependant 
library or you started out prior to build 2382.

Regards,


Arthur Barrett




More information about the cvsnt mailing list
Download the latest CVSNT, TortosieCVS, WinCVS etc. for Windows 8 etc.
@CVSNT on Twitter   CVSNT on Facebook